CREATE TABLE mottle_shares (
    share_id INT NOT NULL,
    share_name VARCHAR(255) NOT NULL,
    share_owner VARCHAR(255) NOT NULL,
    share_parents VARCHAR(255) NULL,
    perm_creator SMALLINT NOT NULL,
    perm_default SMALLINT NOT NULL,
    perm_guest SMALLINT NOT NULL,
    share_flags SMALLINT DEFAULT 0 NOT NULL,
    attribute_title VARCHAR(255),
    attribute_name VARCHAR(255),
    attribute_post_time_month INT,
    attribute_post_time_day INT,
    attribute_post_time_year INT,
    attribute_expire_time_month INT,
    attribute_expire_time_day INT,
    attribute_expire_time_year INT,
    attribute_text BLOB,
--
    PRIMARY KEY (share_id)
);
CREATE INDEX mottle_shares_share_owner_idx ON mottle_shares (share_owner);
CREATE INDEX mottle_shares_perm_creator_idx ON mottle_shares (perm_creator);
CREATE INDEX mottle_shares_perm_default_idx ON mottle_shares (perm_default);
CREATE INDEX mottle_shares_perm_guest_idx ON mottle_shares (perm_guest);
CREATE INDEX mottle_shares_post_time_month_idx ON mottle_shares (attribute_post_time_month);
CREATE INDEX mottle_shares_post_time_day_idx ON mottle_shares (attribute_post_time_day);
CREATE INDEX mottle_shares_post_time_year_idx ON mottle_shares (attribute_post_time_year);
CREATE INDEX mottle_shares_expire_time_month_idx ON mottle_shares (attribute_expire_time_month);
CREATE INDEX mottle_shares_expire_time_day_idx ON mottle_shares (attribute_expire_time_day);
CREATE INDEX mottle_shares_expire_time_year_idx ON mottle_shares (attribute_expire_time_year);

CREATE TABLE mottle_shares_groups (
    share_id INT NOT NULL,
    group_uid INT NOT NULL,
    perm SMALLINT NOT NULL
);
CREATE INDEX mottle_shares_groups_share_id_idx ON mottle_shares_groups (share_id);
CREATE INDEX mottle_shares_groups_group_uid_idx ON mottle_shares_groups (group_uid);
CREATE INDEX mottle_shares_groups_perm_idx ON mottle_shares_groups (perm);

CREATE TABLE mottle_shares_users (
    share_id INT NOT NULL,
    user_uid VARCHAR(255) NOT NULL,
    perm SMALLINT NOT NULL
);
CREATE INDEX mottle_shares_users_share_id_idx ON mottle_shares_users (share_id);
CREATE INDEX mottle_shares_users_user_uid_idx ON mottle_shares_users (user_uid);
CREATE INDEX mottle_shares_users_perm_idx ON mottle_shares_users (perm);